/* $Id: swinehub.h 125 2023-08-06 19:30:08Z nishi $ */
#ifndef __SWINEHUB_SWINEHUB_H__
#define __SWINEHUB_SWINEHUB_H__

#include <swinehub/language.h>

#define _XOPEN_SOURCE 500

#define _SWINEHUB_VERSION	"1.501"
#define CONCAT_SWINEHUB_VERSION _SWINEHUB_VERSION "-" CC
#if defined(JAPANESE)
#define SWINEHUB_VERSION CONCAT_SWINEHUB_VERSION "-j"
#else
#define SWINEHUB_VERSION CONCAT_SWINEHUB_VERSION
#endif
#define SWINEHUB_ID "$Id: swinehub.h 125 2023-08-06 19:30:08Z nishi $"

#ifndef SWINEHUB_PREFIX
#define SWINEHUB_PREFIX "/var/swinehub"
#endif

#ifndef SWINEHUB_TOKEN_DB
#define SWINEHUB_TOKEN_DB SWINEHUB_PREFIX "/swinehub-token"
#endif

#ifndef SWINEHUB_USER_DB
#define SWINEHUB_USER_DB SWINEHUB_PREFIX "/swinehub-user"
#endif

#ifndef SWINEHUB_AUTH
#define SWINEHUB_AUTH SWINEHUB_PREFIX "/auth"
#endif

#ifndef SWINEHUB_AUTHZ
#define SWINEHUB_AUTHZ SWINEHUB_PREFIX "/authz"
#endif

#ifndef SWINEHUB_CONFIG
#define SWINEHUB_CONFIG SWINEHUB_ETC "/swinehub.conf"
#endif

#endif
